\documentclass[a4paper,11pt]{article} 
\usepackage[T1]{fontenc} 
\usepackage[utf8]{inputenc} 
\usepackage{graphicx} 
\usepackage{amsmath} 
\usepackage{amssymb}
\usepackage{commath}
\usepackage{hyperref}
\title{Computational Finance \\ 	
\Large Worksheet 3} 
\author{Lisa Beer, Alex Dyck, Ho-Yin Leung}
\date{} 
\begin{document}
	\maketitle 	
	
	% -----------Task 1--------------------
		\noindent 	
	\textbf{Task 1.} \\
	Let $G = (\prod_{i=1}^{M} S_{t_i})^{\frac{1}{M}}$. Then
	\begin{equation*}
	\ln{G} = \frac{1}{M} \sum_{i=1}^{M}\ln{S_{t_i}} =\ln S_0 +\frac{1}{M} \sum_{i=1}^{M}\ln{\frac{S_{t_i}}{S_0}}
	\end{equation*}
	where $\ln{\frac{S_{t_i}}{S_0}} = (r-\frac{1}{2})t_i+\sigma w_{t_i} \sim \mathcal{N}((r-\frac{1}{2})t_i,\sigma^{2}t_i)$. \\ \\The mean $\mu_G$ and the variance $\sigma_G^2$ of $\ln{G}$ are given by
	\begin{align*}
	\mu_G &= \ln S_0 +\frac{1}{M} \sum_{i=1}^{M} \mathbf{E}( \ln{\frac{S_{t_i}}{S_0}}) = \ln S_0 +\frac{1}{M} \sum_{i=1}^{M} (r-\frac{1}{2}\sigma^2)t_i \\ 
	&= \ln S_0 +\frac{1}{M} (r-\frac{1}{2}\sigma^2)\sum_{i=1}^{M} i\Delta t = \ln S_0 + (r-\frac{1}{2}\sigma^2)(\frac{1}{M} \frac{M(M+1)}{2} \Delta t) \\
	&= \ln S_0 + (r-\frac{1}{2}\sigma^2)(\frac{M+1}{2} \Delta t) = \ln S_0 + (r-\frac{1}{2}\sigma^2)T_2 \\ \\
	\sigma_G^2 &= \frac{1}{M^2} \sum_{i=1}^{M} \sum_{j=1}^{M} Cov(\ln{\frac{S_{t_i}}{S_0}},\ln{\frac{S_{t_j}}{S_0}}) = \frac{1}{M^2} \sum_{i=1}^{M} \sum_{j=1}^{M} \sigma^2 Cov(W_{t_i},W_{t_j}) \\
	&= \frac{\sigma^2}{M^2} \sum_{i=1}^{M} \sum_{j=1}^{M} min(t_i,t_j) = \frac{\sigma^2 \Delta t}{M^2} \sum_{i=1}^{M} \sum_{j=1}^{M} min(i,j) \\
	&= \frac{\sigma^2 \Delta t}{M^2} \frac{(2M+1)(M+1)M}{6} = \sigma^2 T_1
	\end{align*} \\
	The fair value
	\begin{align*}
	V(S,0) &= e^{-rT} \mathbf{E}((G-K)^+) \\
	&= e^{-rT} \int_{K}^{\infty} (x-K)g(x)dx \\
	&= e^{-rT} \int_{K}^{\infty} x g(x)dx - Ke^{-rT} \int_{K}^{\infty} g(x)dx   
	\end{align*}
	where g(x) = $\frac{1}{\sigma_G x \sqrt{2\pi}}e^{\frac{-1}{2}(\frac{\ln{x}-\mu_G}{\sigma_G})^2}$ is the log-normal density function of G. \\ \\ 
	The second integral
	\begin{align*}
	\int_{K}^{\infty} g(x) dx &= \Phi(\frac{\ln K-\mu_G}{\sigma_G}) = \Phi(\frac{-\ln K+\mu_G}{\sigma_G}) \\ 
	&= \Phi(\frac{-\ln K+\ln S_0 + (r-\frac{1}{2}\sigma^2)T_2}{\sigma \sqrt{T_1}}) = \Phi(d)
	\end{align*} 
	For the first integral, let x = $e^y$, then $\ln x = y$ and $dx = e^y dy$.
	\begin{align*}
	\int_{K}^{\infty} x g(x)dx &= \int_{K}^{\infty} \frac{x}{\sigma_G x \sqrt{2\pi}}e^{\frac{-1}{2}(\frac{\ln{x}-\mu_G}{\sigma_G})^2} dx \\ \\
	&= \int_{\ln K}^{\infty} \frac{e^y}{\sigma_G \sqrt{2\pi}}e^{\frac{-1}{2}(\frac{y-\mu_G}{\sigma_G})^2} dy \\ \\
	&= e^{(\mu_G+\frac{1}{2}\sigma_G^2)} \int_{\ln K}^{\infty} \frac{1}{\sigma_G \sqrt{2 \pi}}e^{\frac{-1}{2}(\frac{y-(\mu_G+\sigma_G^2)}{\sigma_G})^2} dy \\ \\
	&= e^{(\mu_G+\frac{1}{2}\sigma_G^2)} \Phi(\frac{-\ln K + \mu_G+ \sigma_G^2}{\sigma_G}) \\ \\
	&= e^{(\ln{S_0}+(r-\frac{1}{2}\sigma^2)T_2+\frac{1}{2}(\sigma^2 T_1))} \Phi(\frac{-\ln K+\ln{S_0}+(r-\frac{1}{2}\sigma^2)T_2+\sigma^2 T_1}{\sigma \sqrt{T_1}}) \\ \\
	&= S_0 e^{((r-\frac{1}{2}\sigma^2)T_2+\frac{1}{2}(\sigma^2 T_1))} \Phi(d+\sigma \sqrt{T_1})
	\end{align*} 
	Thus, we get the closed-form solution
	\begin{align*}
	V(S,0) &=S_0 e^{-rT}e^{((r-\frac{1}{2}\sigma^2)T_2+\frac{1}{2}(\sigma^2 T_1))} \Phi(d+\sigma \sqrt{T_1})-Ke^{-rT}\Phi(d) \\
	&= S_0 e^{(-r(T-T_2)-\sigma^2\frac{T_2-T_1}{2})} \Phi(d+\sigma \sqrt{T_1})-Ke^{-rT}\Phi(d) \\
	&= S_0 A \Phi(d+\sigma \sqrt{T_1}) - Ke^{-rT}\Phi(d)
	\end{align*} 
	\newpage
	% -----------Task 3--------------------
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t3.png}
		\caption{The relative error of the approximation of the discrete geometric average option by Monte Carlo for 10 and 200 timesteps.}
		\label{fig:t3}
	\end{figure}
	\noindent
	\textbf{Task 3.} \\
	As one can see in figure \ref{fig:t3} the convergence is similar for different timesteps. 
	% -----------Task 4--------------------
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t4.png}
		\caption{The absolute approximation error of the continuous geometric average by the discrete one, each using the Black-Scholes formula. The error is plotted against the number of timesteps $M$.}
		\label{fig:t4}
	\end{figure}
	\\ \newline
	\noindent
	\textbf{Task 4.} \\	
	The absolute approximation error of the continuous geometric average by the discrete one, each using the Black-Scholes formulas, is shown in figure \ref{fig:t4}. The error, depending on the number of timesteps $M$, behaves like $M^{-1}$. The reason, why the absolute error increases in the end is probably cancellation since the timesteps are very small.
	% -----------Task 5--------------------
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t5.png}
		\caption{The integrand of the payoff of the discrete arithmetic average for 2 timesteps.}
		\label{fig:t5}
	\end{figure}
	\\ \newline
	\noindent
	\textbf{Task 5.} \\
	The figure \ref{fig:t5} shows the integrand of the payoff of the discrete arithmetic average.
	% -----------Task 7--------------------
	\begin{figure}[h]
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t7.png}
		\caption{100 uniform random numbers in $(0,1)^2$ and the first 100 members of the Halton sequence in 2 dimensions.}
		\label{fig:t7}
	\end{figure}
	\\ \newline	
	\noindent
	\textbf{Task 7.} \\
	As one can see in figure \ref{fig:t7}, the members of the Halton sequence are more evenly distributed than uniform random numbers.  
	% -----------Task 9--------------------	
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t9.png}
		\caption{The quadrature nodes of the two-dimensional product rule of the trapezoidal rule, Gauss-Legendre and Clenshaw Curtis at level $l=5$.}
		\label{fig:t9}
	\end{figure}	
	\\ \newline	
	\noindent		
	\textbf{Task 9.} \\
	The quadrature nodes of the two-dimensional product rule of the trapezoidal rule, Gauss-Legendre and Clenshaw Curtis at level $l=5$ are shown in \ref{fig:t9}.
	% -----------Task 11 --------------------	
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t11.png}
		\caption{A two-dimensional sparse grid of the Trapezoidal and Clenshaw Curtis rule for level 5 and 7.}
		\label{fig:t11}
	\end{figure}	
	\\ \newline	
	\noindent		
	\textbf{Task 11.} \\
	In figure \ref{fig:t11}	 one can see the sparse grid of the Trapezoidal and Clenshaw Curtis rule for level 5 and 7.
	% -----------Task 12 --------------------	
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t12.png}
		\caption{The number of points in a tensor product and a sparse grid for level 4, depending on the dimension d.}
		\label{fig:t12}
	\end{figure}	
	\\ \newline	
	\noindent		
	\textbf{Task 12.} \\
	As one can see in \ref{fig:t12}, the number of points of the tensor product approach increases much faster than the sparse grid approach. The number of points for the tensor product rule depending on the dimension d,
	behaves as $16^d$, whereas the number of points of the sparse grid behaves as $16\cdot 2^{d-1}$.
	%------------Task 13 ----------------
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t13_1.png}
		\caption{Convergence plot for dimension 1.}
		\label{fig:t13}
	\end{figure}	
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t13_2.png}
		\caption{Convergence plot for dimension 2.}
		\label{fig:t13_2}
	\end{figure}	
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t13_3.png}
		\caption{Convergence plot for dimension 4.}
		\label{fig:t13_3}
	\end{figure}	
	\\ \newline	
	\noindent		
	\textbf{Task 13.} \\
	For dimension 1, the product and the sparse grid approaches are the same. For dimension 2 and greater, the sparse grid approach is slightly
	worse than the product grid, but more efficient. 
	\\ \newline	
	\noindent		
	\textbf{Task 17.} \\
	\begin{figure}
		\centering
		\includegraphics[height=6.5cm]{graphics/s3t17.png}
		\caption{Convergence plot for the fair price of a geometric Asian option using MC and QMC and the random walk and brownian bridge.}
		\label{fig:t17}
	\end{figure}
	The results can be seen in \ref{fig:t17}. One observes, that the QMC method is better. However the usage of the brownian bridge instead of the 
	random walk does not make a big difference here. 
	
\end{document}